CAPKI related error after XCOM upgrade to 11.6 SP01 with SSL Transfers

book

Article ID: 207807

calendar_today

Updated On:

Products

CA XCOM Data Transport

Issue/Introduction

Upgraded  XCOM for Linux from r11.6 13081 SP00 to r11.6 16083 SP01. Since the software upgrade, secure mode transfers are failing with these errors:

XCOMU0029I Locally initiated transfer started.

Could not get function dispatch table for CA-OpenSSL Crypto library

#XCOMU0298E Unable to allocate remote transaction program: Txpi  227: Socket received 0 bytes: partner closed socket. Last error: 0

These files are present in CAPKI library located in /opt/CA/SharedComponents/CAPKI/Linux/amd64/64/lib

-rwxr-xr-x. 1 root root   19845 Oct 18  2013 libcapki_thread_posix.so

-rwxr-xr-x. 1 root root 1061232 Oct 18  2013 libcapki.so

-rwxr-xr-x. 1 root root  426114 Oct 18  2013 libcryptocme.so

-rwxr-xr-x. 1 root root    2638 Oct 18  2013 libcryptocme.sig

-rwxr-xr-x. 1 root root   21724 Oct 18  2013 libccme_error_info.so

-rwxr-xr-x. 1 root root  472388 Oct 18  2013 libccme_ecdrbg.so

-rwxr-xr-x. 1 root root  721937 Oct 18  2013 libccme_ecc.so

-rwxr-xr-x. 1 root root  815216 Oct 18  2013 libccme_ecc_accel_fips.so

-rwxr-xr-x. 1 root root  574678 Oct 18  2013 libccme_base.so

-rwxr-xr-x. 1 root root  426759 Oct 18  2013 libccme_asym.so

-rwxr-xr-x. 1 root root 2802158 Oct 18  2013 libcaopenssl_ssl.so

-rwxr-xr-x. 1 root root 6057064 Oct 18  2013 libcaopenssl_crypto.so

NOTE: CAPKIHOME in xcom.glb is set to /opt/CA/SharedComponents/CAPKI/Linux/amd64/64/lib

Cause

Install had failed with errors leaving the previous CAPKI.  

Environment

Release : 11.6

Component : CA XCOM Data Transport for Linux PC

Resolution

CAPKI5 is installed with XCOM r11.6 16083 SP01.  To resolve this , uninstalled and reinstall XCOM.  It may be necessary to allocate temporary space using this command:

mount -o remount,exec /tmp